## python-email-validator 1.3.0

=== Makefile ===
.DEFAULT_GOAL := all

.PHONY: install
install:
	pip install -U setuptools pip
	pip install -U -r test_requirements.txt
	pip install -e .

.PHONY: lint
lint:
	#python setup.py check -rms
	flake8 --ignore=E501,E126,W503 email_validator tests

.PHONY: test
test:
	pytest --cov=email_validator

.PHONY: testcov
testcov: test
	@echo "building coverage html"
	@coverage html

.PHONY: all
all: testcov lint

.PHONY: clean
clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -rf .cache
	rm -rf .pytest_cache
	rm -rf htmlcov
	rm -rf *.egg-info
	rm -f .coverage
	rm -f .coverage.*
	rm -rf build
	rm -rf dist
	python setup.py clean

## python-email-validator 1.1.1

=== debian/changelog ===
python-email-validator (1.1.1-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * d/gbp.conf: New file, to reflect that we're in buster-backports.
  * d/control: Use debhelper-compat 12, for buster-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 26 Jul 2020 18:55:06 -0400

python-email-validator (1.1.1-3) unstable; urgency=medium

  * Disable tests because they require internet access.
    - d/control: Remove B-D on the packages that are needed for testing.
    - d/rules: Override dh_auto_test.  The package requires internet
      access (actually, just DNS) to perform the tests, and the policy
      says that this shouldn't be done.  There is a discussion about
      whether this is a sensible thing to do or not, but since we have
      autopkgtests now, we can just run the tests there. (Closes: #966071)
  * New autopkgtest for the package.
    We run the upstream tests on it, since it's OK to require internet.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 25 Jul 2020 19:16:59 -0400

python-email-validator (1.1.1-2) unstable; urgency=medium

  * Bump version for source-only upload, needed to make the package
    migrate.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 13 Jun 2020 12:37:01 -0400

python-email-validator (1.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #962418)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 07 Jun 2020 12:35:59 -0400

=== debian/control ===
Source: python-email-validator
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
Build-Depends: debhelper-compat (= 12),
	       dh-python,
	       python3-setuptools,
	       python3-all,
	       python3-idna,
	       python3-dnspython,
Standards-Version: 4.5.0
Homepage: https://github.com/JoshData/python-email-validator
Vcs-Git: https://salsa.debian.org/python-team/modules/email-validator.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/email-validator

Package: python3-email-validator
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Robust email address syntax and deliverability validation library (Python 3)
 This library validates that a string is of the form x@y.com. This is
 the sort of validation you would want for an email-based login form
 on a website.
 .
 Key features:
 .
  - Good for validating email addresses used for logins/identity.
 .
  - Friendly error messages when validation fails (appropriate to show
    to end users).
 .
  - (optionally) Checks deliverability: Does the domain name resolve?
 .
  - Supports internationalized domain names and (optionally)
    internationalized local parts.
 .
  - Normalizes email addresses (super important for internationalized
    addresses!).
 .
 This package installs the library for Python 3.

## python-email-validator 1.1.2

=== debian/changelog ===
python-email-validator (1.1.2-1) unstable; urgency=medium

  * Upload to unstable.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 19 Aug 2021 20:11:05 -0400

python-email-validator (1.1.2-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Athos Ribeiro ]
  * New upstream version

  [ Sergio Durigan Junior ]
  * d/control: Bump Standards-Version to 4.5.1.

 -- Athos Ribeiro <athoscribeiro@gmail.com>  Sun, 09 May 2021 10:54:20 -0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: python-email-validator
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 	       dh-python,
 	       python3-setuptools,
 	       python3-all,
 	       python3-idna,
 	       python3-dnspython,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/JoshData/python-email-validator
-Vcs-Git: https://salsa.debian.org/python-team/modules/email-validator.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/email-validator
+Vcs-Git: https://salsa.debian.org/python-team/packages/email-validator.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/email-validator
 
 Package: python3-email-validator
 Architecture: all

=== debian/tests/control ===
Tests: upstream
Depends: @,
	 python3-coverage,
	 python3-docutils,
	 python3-flake8,
	 python3-pytest,
	 python3-pytest-cov
Restrictions: allow-stderr

## python-email-validator 1.1.2-1+10.0trisquel1

=== debian/changelog ===
python-email-validator (1.1.2-1+10.0trisquel1) nabia-backports; urgency=medium

  * Backported from debian testing

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 22 Aug 2021 18:36:32 +0000

## python-email-validator 1.3.0

=== debian/changelog ===
python-email-validator (1.3.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Sergio Durigan Junior ]
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.
  * New upstream version 1.3.0 (Closes: #1023845)
  * d/control: Add Rules-Requires-Root: no.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 24 Dec 2022 00:21:27 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	       python3-all,
 	       python3-idna,
 	       python3-dnspython,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/JoshData/python-email-validator
 Vcs-Git: https://salsa.debian.org/python-team/packages/email-validator.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/email-validator

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-email-validator

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	# We don't ship the binary that comes with the package.
	rm -rf debian/python3-email-validator/usr/bin/

# The tests require internet connectivity (just DNS), so we run them
# via autopkgtest.
override_dh_auto_test:

## python-email-validator 2.2.0

=== Makefile ===
--- 
+++ 
@@ -11,9 +11,13 @@
 	#python setup.py check -rms
 	flake8 --ignore=E501,E126,W503 email_validator tests
 
+.PHONY: typing
+typing:
+	mypy email_validator/*.py tests/*.py
+
 .PHONY: test
 test:
-	pytest --cov=email_validator
+	PYTHONPATH=.:$$PYTHONPATH pytest --cov=email_validator -k "not network"
 
 .PHONY: testcov
 testcov: test
@@ -21,7 +25,7 @@
 	@coverage html
 
 .PHONY: all
-all: testcov lint
+all: typing testcov lint
 
 .PHONY: clean
 clean:

=== debian/changelog ===
python-email-validator (2.2.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.2.0
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jul 2024 01:14:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Build-Depends: debhelper-compat (= 13),
-	       dh-python,
+	       dh-sequence-python3,
 	       python3-setuptools,
 	       python3-all,
 	       python3-idna,
@@ -37,5 +37,3 @@
  .
   - Normalizes email addresses (super important for internationalized
     addresses!).
- .
- This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=python-email-validator
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-email-validator-$1.tar.gz%" \
   https://github.com/JoshData/python-email-validator/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
